Board logo

标题: [教程] 多版本PHP的zend,memcache,redis等组件的安装方法 [打印本页]

作者: admin    时间: 2017-5-18 22:37     标题: 多版本PHP的zend,memcache,redis等组件的安装方法

多版本PHP的组件安装
全新安装请看http://www.wdlinux.cn/bbs/thread-57643-1-1.html

升级安装请看
http://www.wdlinux.cn/bbs/thread-57646-1-1.html

升级安装的组件安装方法
wget http://down.wdlinux.cn/in/phps_zend.sh
sh phps_zend.sh

wget http://down.wdlinux.cn/in/phps_redis.sh
sh phps_redis.sh

wget http://down.wdlinux.cn/in/phps_memcache.sh
sh phps_memcache.sh

wget http://down.wdlinux.cn/in/phps_opcache.sh
sh phps_opcache.sh (安装这个请留意,会有PHP更新不及时的问题,如对更新及时要求高的不要安装)

默认安装全部版本的支持,也可指定具体的版本
在后台加上PHP的版本号即可,如
sh phps_zend.sh 5.5
sh phps_redis.sh 5.5
sh phps_memcache.sh 5.5


由于PHP版本变化大,相距时间也长,有些对高低版本的PHP支持是有区别的
比如zend高低版本是不一样的
opcache在低版本PHP中也是没有支持的
各位使用时,可注意选择或查阅相关资料确定
作者: bewho    时间: 2017-5-19 20:17

请教安装后如何卸载?
作者: admin    时间: 2017-5-19 21:04

这些组件安装完,基本上就只有一个*.so的文件
卸不卸载,没多大关系或影响
作者: huaqi    时间: 2017-5-19 22:42

关闭php-5.5 后PHPmyadmin就打不开了?

PHPmyadmin只能在php-5.5下运行吗?这样的话我的网站用php-7.0,不是要开启两个PHP版本?
作者: admin    时间: 2017-5-20 09:27

phpmyadmin和php版本没有任何关系
作者: huaqi    时间: 2017-5-20 11:17

回复 5# admin


   但是我关了php-5.5之后(php7.0是运行的),phpmyadmin打不开了,显示502错误
作者: admin    时间: 2017-5-20 21:56

检查操作
作者: qiuss    时间: 2017-5-21 11:20

总算盼到了 这个好!
作者: qiuss    时间: 2017-5-21 11:22

回复 7# admin


   wget http://down.wdlinux.cn/in/phps_redis.sh
sh phps_zend.sh

老大 有个错误 这里 名称应该改下
作者: m238200    时间: 2017-5-25 10:18

组件 升级版本 与WDCP后台面板 升级为3.2 无关吗
作者: qxlyh    时间: 2017-5-25 13:13

老大能加多一个Imagick吗
作者: sy88618816    时间: 2017-5-30 09:46

试一下 谢谢分享
作者: liudiansc    时间: 2017-6-6 17:08

啊啊啊啊啊啊啊啊
作者: 冬至雨    时间: 2017-6-6 18:08

wget http://down.wdlinux.cn/in/phps_redis.sh
sh phps_redis.sh

这个安装错误,也启动不起来!

env: cc: Permission denied
make: *** [redis.lo] 错误 1


x86_64
CentOS release 6.6 (Final)
----Install Error: 5.3.29 -----------
作者: admin    时间: 2017-6-6 19:14

把云锁或是其它防护软件暂停或卸载试试
作者: nian2014    时间: 2017-6-7 18:29

zend版本还是太低呀,安装了几次还是默认的版本
作者: zeroadmin    时间: 2017-7-10 00:58

先保存 以后用的·时候方便
作者: 十年    时间: 2017-7-13 22:04

123.png
2017-7-13 22:04
  安装redis出错。请问这是怎么回事?

图片附件: 123.png (2017-7-13 22:04, 58.47 KB) / 下载次数 19
http://www.wdlinux.cn/bbs/attachment.php?aid=7749&k=7d8e71c7580179faea364709264b00ad&t=1511022460&sid=X59W9l


作者: cctv531529    时间: 2017-11-7 17:52

管理员,为什么我执行这些脚本——比如安装memcache,memcache的端口就是默认开放的呢?不是应该在iptables里面添加了才能开放的吗?
作者: pengbangying    时间: 2017-11-11 23:00

configurations, phps install is complete
      visit http://ip:8080
      more infomation please visit http://www.wdlinux.cn/bbs/
  
这是提示安装成功了吗?
作者: pengbangying    时间: 2017-11-11 23:20

然后提示安装好了,但是打开网站还是ZEND 错误




欢迎光临 WDlinux官方论坛 (http://www.wdlinux.cn/bbs/) Powered by Discuz! 7.2